172
Views
13
Comments
Radio Group - Reactive Web Error
Question

Hi all,

I am developing an application in Reactive Web and I need to use the widget Radio Group, which I saw was made available in version 11.7.2 of the development environment for reactive applications. 

However, 

when I try to use this widget I get the following error:

Unavailable Feature

The environment you're logged into doesn't support 'Radio Button Widget'. Upgrade the environment to publish the module.

This is happening even though I already have the most recent versions of the platform and Outsystems UI.

Platform version - 11.7.3

Outsystems UI - Version 2.4.1

Can anyone help me with this issue?

Thank you,

Patrícia

Staff
Rank: #3722

Hey Patricia! Check this thread, the solution is similar. Let me know if the radio button worked for you:

https://www.outsystems.com/forums/discussion/57455/still-cant-find-radio-button-widget-in-reactive-web/

mvp_badge
MVP
Rank: #76

Hi Patrícia,

Make sure you also have the latest stable version of Service Studio installed.

Regards,

Nordin

mvp_badge
MVP
Rank: #96

Hi Patrícia Domingos,

The RadioGroup UI widget is asking to set specific value for each radio button within the Radio group.

Check this: RadioGroupDemo

Refer this:

https://success.outsystems.com/Documentation/11/Developing_an_Application/Design_UI/Inputs/Pick_Only_One_Option_in_a_Group_of_Choices


PFA - includes the .oml solution file


Hope this helps you!


Regards,

Benjith Sam

RadioButtonGroup.oml

mvp_badge
MVP
Rank: #76

Hi Patrícia,

I can confirm the same behavior at my side, I get the same error as you. I'm also running on Platform Server version 11.7.3 and have the latest Service Studio and OutSystemsUI installed.

So I'm curious to know how come it is working for Benjith Sam? 

What I do know is that the Radio Button Widget is supposed to be supported for Reactive Web and Mobile on the future release of Platform Server 11.8.0:

Now you can use Radio Button Widget in your Reactive Web and Mobile apps. To build and deploy an app with this widget in UI, you also need to update Service Studio and OutSystems UI. (RTAF-2143)

Regards,

Nordin

mvp_badge
MVP
Rank: #96

Hi Nordin,

Below mentioned is the (Personal Environment) Platform Server and Service Studio version information, which I'm using.

Regards,

Benjith Sam

mvp_badge
MVP
Rank: #76

Hi Benjith Sam,

Well, that explains it since OutSystems has already upgraded your PE to Platform Server 11.8.0 :). 

I guess Patrícia and I need to wait a little for our Platform Servers to be upgraded too before we can use Radio Buttons!

Thanks for letting us know!

Regards,

Nordin

mvp_badge
MVP
Rank: #96

Hi Nordin,

We do have one more option to request for Platform Server update, few days before I also requested for the same by clicking the Check for new platform release link as mentioned below (available in LifeTime Application - Environments Tab) and the Platform Server got updated to the latest version.


Note: Personal Environment will be in downtime during the Platform Server update activities.


Hope this helps you :)


Regards,

Benjith Sam

mvp_badge
MVP
Rank: #76

Hi Benjith Sam,

Yes, of course. I know about that option :).

I didn't mention it in this post because it shows the wrong platform server version in my case, even though I'm already on version 11.7.3. I thought it might be confusing for Patrícia for that matter.

I will schedule it never the less to see if my platform server will get upgraded to 11.8.0.

Thanks,

Nordin

EDIT: I just remembered the version for upgrade that is mentioned is of course the LifeTime Management Console version, so all is good :)

mvp_badge
MVP
Rank: #76

Hi Patrícia,

I guess you can schedule an upgrade for your PE like Benjith Sam shows in this post. After the upgrade you will be able to use Radio Buttons and Radio Group widgets.

Regards,

Nordin